Subject: Re: bug#19853: Acknowledgement (25.0.50; ElDoc is displayed whether eldoc-mode is enabled or not)

From: Michael Heerdegen <[email-masked]>
Date: Sun, 20 Mar 2016 22:24:36 +0100

Dmitry Gutov <[email-masked]> writes:

> > Hmm, I think the only way out would be to add the stuff to the global
> > hook bindings unconditionally when eldoc is loaded - no matter whether
> > the global mode is on or not, and never remove it.  And use only one
> > (buffer local) variable for controlling, `eldoc-mode', that the local
> > mode sets locally.  The variable `global-eldoc-mode' would not appear in
> > the code any more.  `global-eldoc-mode' would become a trivial
> > globalized minor mode that would only turn the local value of
> > `eldoc-mode' in all buffers.  Would that make sense?
>
> Sounds like a viable alternative, yes.

Then maybe let's see what others say.  I think making either change
would be an improvement.

Michael.